Index: i18n/English.ts
===================================================================
--- i18n/English.ts	(revision bcfd415fe20e1776a3238fd4dcea27cb4f34a1a2)
+++ i18n/English.ts	(revision aecdf994f963c2e4408ba015bccd3ca4b114a7ab)
@@ -1,286 +1,341 @@
 <?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE TS><TS version="1.1">
-<context encoding="UTF-8">
+<!DOCTYPE TS>
+<TS version="2.0" language="en" sourcelanguage="ru_RU">
+<defaultcodec>UTF-8</defaultcodec>
+<context>
     <name>CTSPModel</name>
-    <message encoding="UTF-8">
-        <location filename="../src/tspmodel.cpp" line="50"/>
+    <message>
+        <location filename="../src/tspmodel.cpp" line="51"/>
         <source>Город %1</source>
         <translation type="unfinished"></translation>
     </message>
+    <message>
+        <location filename="../src/tspmodel.cpp" line="53"/>
+        <source>%1</source>
+        <translation type="unfinished"></translation>
+    </message>
 </context>
-<context encoding="UTF-8">
+<context>
     <name>MainWindow</name>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="13"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="14"/>
+        <location filename="../ui/mainwindow.ui" line="14"/>
         <source>Задача коммивояжера</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="54"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="74"/>
+        <location filename="../ui/mainwindow.ui" line="56"/>
         <source>&amp;Вариант:</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="77"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="97"/>
+        <location filename="../ui/mainwindow.ui" line="79"/>
         <source>&amp;Городов:</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="149"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="169"/>
+        <location filename="../ui/mainwindow.ui" line="151"/>
         <source>Заполнить таблицу случайными значениями</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="152"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="172"/>
+        <location filename="../ui/mainwindow.ui" line="154"/>
         <source>Случайно</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="162"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="182"/>
+        <location filename="../ui/mainwindow.ui" line="164"/>
         <source>Решить текущую задачу</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="165"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="185"/>
+        <location filename="../ui/mainwindow.ui" line="167"/>
         <source>Решить</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="231"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="252"/>
+        <location filename="../ui/mainwindow.ui" line="236"/>
         <source>&amp;Файл</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="238"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="259"/>
+        <location filename="../ui/mainwindow.ui" line="243"/>
         <source>Со&amp;хранить</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="260"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="279"/>
+        <location filename="../ui/mainwindow.ui" line="266"/>
         <source>&amp;Настройки</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="266"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="285"/>
+        <location filename="../ui/mainwindow.ui" line="272"/>
         <source>&amp;Помощь</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="308"/>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="315"/>
         <source>&amp;Настройка печати</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="322"/>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="330"/>
         <source>&amp;Печать...</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="325"/>
+        <location filename="../ui/mainwindow.ui" line="344"/>
+        <source>&amp;Ход решения</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="336"/>
+        <location filename="../ui/mainwindow.ui" line="355"/>
+        <source>&amp;Граф решения</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="362"/>
+        <location filename="../ui/mainwindow.ui" line="381"/>
+        <source>&amp;Создать</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="377"/>
+        <location filename="../ui/mainwindow.ui" line="396"/>
+        <source>&amp;Открыть</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="395"/>
+        <location filename="../ui/mainwindow.ui" line="414"/>
+        <source>&amp;Параметры</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="407"/>
+        <location filename="../ui/mainwindow.ui" line="426"/>
+        <source>&amp;Содежание</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="419"/>
+        <location filename="../ui/mainwindow.ui" line="438"/>
+        <source>&amp;Контекстная справка</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="431"/>
+        <location filename="../ui/mainwindow.ui" line="450"/>
+        <source>&amp;Про...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="443"/>
+        <location filename="../ui/mainwindow.ui" line="462"/>
+        <source>В&amp;ыход</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="446"/>
+        <location filename="../ui/mainwindow.ui" line="465"/>
+        <source>Выйти из программы</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <location filename="../ui/mainwindow.ui" line="336"/>
-        <source>&amp;Ход решения</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
+        <source>Ctrl+P</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="353"/>
+        <location filename="../ui/mainwindow.ce.ui" line="467"/>
+        <location filename="../ui/mainwindow.ui" line="372"/>
+        <location filename="../ui/mainwindow.ui" line="486"/>
+        <source>Ctrl+S</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="368"/>
+        <location filename="../ui/mainwindow.ui" line="387"/>
+        <source>Ctrl+N</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="386"/>
+        <location filename="../ui/mainwindow.ui" line="405"/>
+        <source>Ctrl+O</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="53"/>
+        <location filename="../ui/mainwindow.ui" line="35"/>
+        <source>Задача</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="87"/>
+        <location filename="../ui/mainwindow.ui" line="69"/>
+        <source>Номер варианта</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="141"/>
+        <location filename="../ui/mainwindow.ui" line="123"/>
+        <source>Стоимости переходов/переездов из города в город</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="199"/>
+        <location filename="../ui/mainwindow.ui" line="181"/>
+        <source>Решение</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="216"/>
+        <location filename="../ui/mainwindow.ui" line="198"/>
+        <source>Ход решения</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="226"/>
+        <location filename="../ui/mainwindow.ui" line="208"/>
+        <source>Граф решения</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="318"/>
+        <source>Настроить принтер для печати</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="333"/>
+        <source>Распечатать результаты решения</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="328"/>
         <location filename="../ui/mainwindow.ui" line="347"/>
-        <source>&amp;Граф решения</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="372"/>
-        <source>&amp;Создать</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="386"/>
-        <source>&amp;Открыть</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="403"/>
-        <source>&amp;Параметры</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="414"/>
-        <source>&amp;Содежание</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="425"/>
-        <source>&amp;Контекстная справка</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="436"/>
-        <source>&amp;Про...</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="447"/>
-        <source>В&amp;ыход</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="450"/>
-        <source>Выйти из программы</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ui" line="328"/>
-        <source>Ctrl+P</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ui" line="470"/>
-        <source>Ctrl+S</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ui" line="378"/>
-        <source>Ctrl+N</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ui" line="395"/>
-        <source>Ctrl+O</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="33"/>
-        <source>Задача</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="67"/>
-        <source>Номер варианта</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="121"/>
-        <source>Стоимости переходов/переездов из города в город</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="178"/>
-        <source>Решение</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="195"/>
-        <source>Ход решения</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="205"/>
-        <source>Граф решения</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="311"/>
-        <source>Настроить принтер для печати</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="325"/>
-        <source>Распечатать результаты решения</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="339"/>
         <source>Сохранить только хоод решения</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="350"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="339"/>
+        <location filename="../ui/mainwindow.ui" line="358"/>
         <source>Сохранить только граф решения</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="358"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="347"/>
+        <location filename="../ui/mainwindow.ui" line="366"/>
         <source>&amp;Решение</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="361"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="350"/>
+        <location filename="../ui/mainwindow.ui" line="369"/>
         <source>Сохранить ход и граф решения</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="375"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="365"/>
+        <location filename="../ui/mainwindow.ui" line="384"/>
         <source>Создать новую задачу</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="389"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="380"/>
+        <location filename="../ui/mainwindow.ui" line="399"/>
         <source>Открыть задачу</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="392"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="383"/>
+        <location filename="../ui/mainwindow.ui" line="402"/>
         <source>Открыть сохраненное условие задачи</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="406"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="398"/>
+        <location filename="../ui/mainwindow.ui" line="417"/>
         <source>Настройка параметров программмы</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="417"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="410"/>
+        <location filename="../ui/mainwindow.ui" line="429"/>
         <source>Вызвать справку по программе</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="428"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="422"/>
+        <location filename="../ui/mainwindow.ui" line="441"/>
         <source>Вызвать контекстную справку</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="458"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="455"/>
+        <location filename="../ui/mainwindow.ui" line="474"/>
         <source>&amp;Задачу</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="461"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="458"/>
+        <location filename="../ui/mainwindow.ui" line="477"/>
         <source>Сохранить</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="464"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="461"/>
+        <location filename="../ui/mainwindow.ui" line="480"/>
         <source>Сохранить задачу</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="467"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="464"/>
+        <location filename="../ui/mainwindow.ui" line="483"/>
         <source>Сохранить условие задачи в файл</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../src/mainwindow.cpp" line="83"/>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="104"/>
         <source>Ошибка в данных</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../src/mainwindow.cpp" line="83"/>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="104"/>
         <source>Ошибка в ячейке [Строка %1; Колонка %2]: Неверный формат данных.</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../src/mainwindow.cpp" line="92"/>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="113"/>
         <source>Ошибка при решении</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../src/mainwindow.cpp" line="92"/>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="113"/>
         <source>Во время решения задачи возникла ошибка</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="439"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="434"/>
+        <location filename="../ui/mainwindow.ui" line="453"/>
         <source>Получить информацию о программе</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="90"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="110"/>
+        <location filename="../ui/mainwindow.ui" line="92"/>
         <source>Количество городов, которые обходит коммивояжер</source>
         <translation type="unfinished"></translation>
@@ -289,111 +344,133 @@
 <context>
     <name>SettingsDialog</name>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="13"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="14"/>
+        <location filename="../ui/settingsdialog.ui" line="14"/>
         <source>Параметры</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="48"/>
+        <location filename="../ui/settingsdialog.ui" line="41"/>
         <source>background-color: #0080C0</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="158"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="100"/>
+        <location filename="../ui/settingsdialog.ui" line="151"/>
         <source>Случайные значения:</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="172"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="114"/>
+        <location filename="../ui/settingsdialog.ui" line="165"/>
         <source>Ми&amp;нимум:</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="208"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="150"/>
+        <location filename="../ui/settingsdialog.ui" line="201"/>
         <source>&amp;Максимум:</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="242"/>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="235"/>
         <source>Настройки печати:</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="250"/>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="243"/>
         <source>&amp;Левый отступ:</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="287"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="205"/>
+        <location filename="../ui/settingsdialog.ui" line="280"/>
         <source>&amp;Шрифт...</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="308"/>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="302"/>
         <source>Сохранять состояние и положение главного окна</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="409"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="353"/>
+        <location filename="../ui/settingsdialog.ui" line="395"/>
         <source>&amp;OK</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="428"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="373"/>
+        <location filename="../ui/settingsdialog.ui" line="415"/>
         <source>&amp;Отмена</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="365"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="320"/>
+        <location filename="../ui/settingsdialog.ui" line="350"/>
         <source>Помощь</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="362"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="317"/>
+        <location filename="../ui/settingsdialog.ui" line="347"/>
         <source>Получить помощь по настройкам</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="185"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="127"/>
+        <location filename="../ui/settingsdialog.ui" line="178"/>
         <source>Нижняя граница для генерации случайных значений</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="221"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="163"/>
+        <location filename="../ui/settingsdialog.ui" line="214"/>
         <source>Верхняя граница для генерации случайных значений</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="263"/>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="256"/>
         <source>Размер отступа от левого края страницы</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="284"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="202"/>
+        <location filename="../ui/settingsdialog.ui" line="277"/>
         <source>Задать параметры шрифта, используемого при печати</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="359"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="252"/>
+        <source>Сохранять состояние и
+положение главного окна</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="314"/>
+        <location filename="../ui/settingsdialog.ui" line="344"/>
         <source>Справка</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="406"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="350"/>
+        <location filename="../ui/settingsdialog.ui" line="392"/>
         <source>Сохранить новые параметры</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="425"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="370"/>
+        <location filename="../ui/settingsdialog.ui" line="412"/>
         <source>Закрыть окно без сохранения параметров</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="305"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="249"/>
+        <location filename="../ui/settingsdialog.ui" line="299"/>
         <source>Восстанавливать состояние и размеры окна после перезапуска программы</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="384"/>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="370"/>
         <source>Наведите указатель мыши на элемент диалога, чтоб получить подсказку</source>
         <translation type="unfinished"></translation>
Index: i18n/Ukrainian.ts
===================================================================
--- i18n/Ukrainian.ts	(revision bcfd415fe20e1776a3238fd4dcea27cb4f34a1a2)
+++ i18n/Ukrainian.ts	(revision aecdf994f963c2e4408ba015bccd3ca4b114a7ab)
@@ -1,286 +1,341 @@
 <?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE TS><TS version="1.1" language="uk">
-<context encoding="UTF-8">
+<!DOCTYPE TS>
+<TS version="2.0" language="uk_UA" sourcelanguage="ru_RU">
+<defaultcodec>UTF-8</defaultcodec>
+<context>
     <name>CTSPModel</name>
-    <message encoding="UTF-8">
-        <location filename="../src/tspmodel.cpp" line="50"/>
+    <message>
+        <location filename="../src/tspmodel.cpp" line="51"/>
         <source>Город %1</source>
         <translation>Місто %1</translation>
     </message>
+    <message>
+        <location filename="../src/tspmodel.cpp" line="53"/>
+        <source>%1</source>
+        <translation type="unfinished"></translation>
+    </message>
 </context>
-<context encoding="UTF-8">
+<context>
     <name>MainWindow</name>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="13"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="14"/>
+        <location filename="../ui/mainwindow.ui" line="14"/>
         <source>Задача коммивояжера</source>
         <translation>Задача комівояжера</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="54"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="74"/>
+        <location filename="../ui/mainwindow.ui" line="56"/>
         <source>&amp;Вариант:</source>
         <translation>&amp;Варіант:</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="77"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="97"/>
+        <location filename="../ui/mainwindow.ui" line="79"/>
         <source>&amp;Городов:</source>
         <translation>&amp;Міст:</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="149"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="169"/>
+        <location filename="../ui/mainwindow.ui" line="151"/>
         <source>Заполнить таблицу случайными значениями</source>
         <translation>Заповнити таблицю випадковими значеннями</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="152"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="172"/>
+        <location filename="../ui/mainwindow.ui" line="154"/>
         <source>Случайно</source>
         <translation>Випадково</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="162"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="182"/>
+        <location filename="../ui/mainwindow.ui" line="164"/>
         <source>Решить текущую задачу</source>
         <translation>Розв&apos;язати поточну задачу</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="165"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="185"/>
+        <location filename="../ui/mainwindow.ui" line="167"/>
         <source>Решить</source>
         <translation>Розв&apos;язати</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="231"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="252"/>
+        <location filename="../ui/mainwindow.ui" line="236"/>
         <source>&amp;Файл</source>
         <translation>&amp;Файл</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="238"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="259"/>
+        <location filename="../ui/mainwindow.ui" line="243"/>
         <source>Со&amp;хранить</source>
         <translation>&amp;Зберегти</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="260"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="279"/>
+        <location filename="../ui/mainwindow.ui" line="266"/>
         <source>&amp;Настройки</source>
         <translation>&amp;Налагодження</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="266"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="285"/>
+        <location filename="../ui/mainwindow.ui" line="272"/>
         <source>&amp;Помощь</source>
         <translation>&amp;Допомога</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="308"/>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="315"/>
         <source>&amp;Настройка печати</source>
         <translation>&amp;Налагодження друку</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="322"/>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="330"/>
         <source>&amp;Печать...</source>
         <translation>&amp;Друк...</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="336"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="325"/>
+        <location filename="../ui/mainwindow.ui" line="344"/>
         <source>&amp;Ход решения</source>
         <translation>&amp;Хід розв&apos;язку</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="347"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="336"/>
+        <location filename="../ui/mainwindow.ui" line="355"/>
         <source>&amp;Граф решения</source>
         <translation>&amp;Граф розв&apos;язку</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="372"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="362"/>
+        <location filename="../ui/mainwindow.ui" line="381"/>
         <source>&amp;Создать</source>
         <translation>&amp;Створити</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="386"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="377"/>
+        <location filename="../ui/mainwindow.ui" line="396"/>
         <source>&amp;Открыть</source>
         <translation>&amp;Відкрити</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="403"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="395"/>
+        <location filename="../ui/mainwindow.ui" line="414"/>
         <source>&amp;Параметры</source>
         <translation>&amp;Параметри</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="414"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="407"/>
+        <location filename="../ui/mainwindow.ui" line="426"/>
         <source>&amp;Содежание</source>
         <translation>&amp;Зміст</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="425"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="419"/>
+        <location filename="../ui/mainwindow.ui" line="438"/>
         <source>&amp;Контекстная справка</source>
         <translation>&amp;Контекстна допомога</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="436"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="431"/>
+        <location filename="../ui/mainwindow.ui" line="450"/>
         <source>&amp;Про...</source>
         <translation>&amp;Про...</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="447"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="443"/>
+        <location filename="../ui/mainwindow.ui" line="462"/>
         <source>В&amp;ыход</source>
         <translation>В&amp;ихід</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="450"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="446"/>
+        <location filename="../ui/mainwindow.ui" line="465"/>
         <source>Выйти из программы</source>
         <translation>Вийти з програми</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ui" line="328"/>
+        <location filename="../ui/mainwindow.ui" line="336"/>
         <source>Ctrl+P</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ui" line="470"/>
+        <location filename="../ui/mainwindow.ce.ui" line="353"/>
+        <location filename="../ui/mainwindow.ce.ui" line="467"/>
+        <location filename="../ui/mainwindow.ui" line="372"/>
+        <location filename="../ui/mainwindow.ui" line="486"/>
         <source>Ctrl+S</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ui" line="378"/>
+        <location filename="../ui/mainwindow.ce.ui" line="368"/>
+        <location filename="../ui/mainwindow.ui" line="387"/>
         <source>Ctrl+N</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ui" line="395"/>
+        <location filename="../ui/mainwindow.ce.ui" line="386"/>
+        <location filename="../ui/mainwindow.ui" line="405"/>
         <source>Ctrl+O</source>
         <translation></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="33"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="53"/>
+        <location filename="../ui/mainwindow.ui" line="35"/>
         <source>Задача</source>
         <translation>Задача</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="67"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="87"/>
+        <location filename="../ui/mainwindow.ui" line="69"/>
         <source>Номер варианта</source>
         <translation>Номер варіану</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="121"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="141"/>
+        <location filename="../ui/mainwindow.ui" line="123"/>
         <source>Стоимости переходов/переездов из города в город</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="178"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="199"/>
+        <location filename="../ui/mainwindow.ui" line="181"/>
         <source>Решение</source>
         <translation>Розв&apos;язок</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="195"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="216"/>
+        <location filename="../ui/mainwindow.ui" line="198"/>
         <source>Ход решения</source>
         <translation>Хід розв&apos;язку</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="205"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="226"/>
+        <location filename="../ui/mainwindow.ui" line="208"/>
         <source>Граф решения</source>
         <translation>Граф розв&apos;язку</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="311"/>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="318"/>
         <source>Настроить принтер для печати</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="325"/>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="333"/>
         <source>Распечатать результаты решения</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="339"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="328"/>
+        <location filename="../ui/mainwindow.ui" line="347"/>
         <source>Сохранить только хоод решения</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="350"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="339"/>
+        <location filename="../ui/mainwindow.ui" line="358"/>
         <source>Сохранить только граф решения</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="358"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="347"/>
+        <location filename="../ui/mainwindow.ui" line="366"/>
         <source>&amp;Решение</source>
         <translation>&amp;Розв&apos;язок</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="361"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="350"/>
+        <location filename="../ui/mainwindow.ui" line="369"/>
         <source>Сохранить ход и граф решения</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="375"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="365"/>
+        <location filename="../ui/mainwindow.ui" line="384"/>
         <source>Создать новую задачу</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="389"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="380"/>
+        <location filename="../ui/mainwindow.ui" line="399"/>
         <source>Открыть задачу</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="392"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="383"/>
+        <location filename="../ui/mainwindow.ui" line="402"/>
         <source>Открыть сохраненное условие задачи</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="406"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="398"/>
+        <location filename="../ui/mainwindow.ui" line="417"/>
         <source>Настройка параметров программмы</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="417"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="410"/>
+        <location filename="../ui/mainwindow.ui" line="429"/>
         <source>Вызвать справку по программе</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="428"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="422"/>
+        <location filename="../ui/mainwindow.ui" line="441"/>
         <source>Вызвать контекстную справку</source>
         <translation>Викликати контекстну довідку</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="458"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="455"/>
+        <location filename="../ui/mainwindow.ui" line="474"/>
         <source>&amp;Задачу</source>
         <translation>&amp;Задачу</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="461"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="458"/>
+        <location filename="../ui/mainwindow.ui" line="477"/>
         <source>Сохранить</source>
         <translation>Зберегти</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="464"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="461"/>
+        <location filename="../ui/mainwindow.ui" line="480"/>
         <source>Сохранить задачу</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="467"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="464"/>
+        <location filename="../ui/mainwindow.ui" line="483"/>
         <source>Сохранить условие задачи в файл</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../src/mainwindow.cpp" line="83"/>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="104"/>
         <source>Ошибка в данных</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../src/mainwindow.cpp" line="83"/>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="104"/>
         <source>Ошибка в ячейке [Строка %1; Колонка %2]: Неверный формат данных.</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../src/mainwindow.cpp" line="92"/>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="113"/>
         <source>Ошибка при решении</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../src/mainwindow.cpp" line="92"/>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="113"/>
         <source>Во время решения задачи возникла ошибка</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="439"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="434"/>
+        <location filename="../ui/mainwindow.ui" line="453"/>
         <source>Получить информацию о программе</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/mainwindow.ui" line="90"/>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="110"/>
+        <location filename="../ui/mainwindow.ui" line="92"/>
         <source>Количество городов, которые обходит коммивояжер</source>
         <translation type="unfinished"></translation>
@@ -289,116 +344,137 @@
 <context>
     <name>SettingsDialog</name>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="13"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="14"/>
+        <location filename="../ui/settingsdialog.ui" line="14"/>
         <source>Параметры</source>
         <translation>Параметри</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="48"/>
+        <location filename="../ui/settingsdialog.ui" line="41"/>
         <source>background-color: #0080C0</source>
         <translation>background-color: #0080C0</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="158"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="100"/>
+        <location filename="../ui/settingsdialog.ui" line="151"/>
         <source>Случайные значения:</source>
         <translation>Випадкові значення:</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="172"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="114"/>
+        <location filename="../ui/settingsdialog.ui" line="165"/>
         <source>Ми&amp;нимум:</source>
         <translation>Мі&amp;німум:</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="208"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="150"/>
+        <location filename="../ui/settingsdialog.ui" line="201"/>
         <source>&amp;Максимум:</source>
         <translation>&amp;Максимум:</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="242"/>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="235"/>
         <source>Настройки печати:</source>
         <translation>Налагодження друку:</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="250"/>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="243"/>
         <source>&amp;Левый отступ:</source>
         <translation>&amp;Лівий відступ:</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="287"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="205"/>
+        <location filename="../ui/settingsdialog.ui" line="280"/>
         <source>&amp;Шрифт...</source>
         <translation>&amp;Шрифт...</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="308"/>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="302"/>
         <source>Сохранять состояние и положение главного окна</source>
         <translation>Зберегти стан та розміщення головного вікна</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="369"/>
+    <message>
         <source>Подсказка</source>
         <translation type="obsolete">Підказка</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="409"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="353"/>
+        <location filename="../ui/settingsdialog.ui" line="395"/>
         <source>&amp;OK</source>
         <translation>&amp;OK</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="428"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="373"/>
+        <location filename="../ui/settingsdialog.ui" line="415"/>
         <source>&amp;Отмена</source>
         <translation>&amp;Скасувати</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="365"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="320"/>
+        <location filename="../ui/settingsdialog.ui" line="350"/>
         <source>Помощь</source>
         <translation>Допомога</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="362"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="317"/>
+        <location filename="../ui/settingsdialog.ui" line="347"/>
         <source>Получить помощь по настройкам</source>
         <translation>Отримати допомогу по налагодженням</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="185"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="127"/>
+        <location filename="../ui/settingsdialog.ui" line="178"/>
         <source>Нижняя граница для генерации случайных значений</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="221"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="163"/>
+        <location filename="../ui/settingsdialog.ui" line="214"/>
         <source>Верхняя граница для генерации случайных значений</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="263"/>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="256"/>
         <source>Размер отступа от левого края страницы</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="284"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="202"/>
+        <location filename="../ui/settingsdialog.ui" line="277"/>
         <source>Задать параметры шрифта, используемого при печати</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="359"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="252"/>
+        <source>Сохранять состояние и
+положение главного окна</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="314"/>
+        <location filename="../ui/settingsdialog.ui" line="344"/>
         <source>Справка</source>
         <translation>Довідка</translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="406"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="350"/>
+        <location filename="../ui/settingsdialog.ui" line="392"/>
         <source>Сохранить новые параметры</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="425"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="370"/>
+        <location filename="../ui/settingsdialog.ui" line="412"/>
         <source>Закрыть окно без сохранения параметров</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="305"/>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="249"/>
+        <location filename="../ui/settingsdialog.ui" line="299"/>
         <source>Восстанавливать состояние и размеры окна после перезапуска программы</source>
         <translation type="unfinished"></translation>
     </message>
-    <message encoding="UTF-8">
-        <location filename="../ui/settingsdialog.ui" line="384"/>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="370"/>
         <source>Наведите указатель мыши на элемент диалога, чтоб получить подсказку</source>
         <translation type="unfinished"></translation>
